Testing Flatisfy using Docker
=============================

A basic `Dockerfile` is available for rapid testing. It is still really hacky
and should not be used in production.


1. First, build the docker image:

```
cd docker
docker build -t bnjbvr/flatisfy .
```

2. Then, create some folder to store your Flatisfy data in a permanent way (it
   will be mount as a Docker volume in next steps), and initialize an empty
   config:

```
mkdir flatisfy
cd flatisfy
FLATISFY_VOLUME=$(pwd)
docker run -P -v $FLATISFY_VOLUME:/flatisfy -p 8080:8080 bnjbvr/flatisfy sh -c "cd /home/user/app && python -m flatisfy init-config > /flatisfy/config.json"
```


3. Then, edit the generated `config.json` file according to your needs. See
   [0.getting_started.md](0.getting_started.md) for more infos on the
   configuration file format.


4. Finally, run the docker image to fetch flats and serve the web UI:

```
docker run -P -v $FLATISFY_VOLUME:/flatisfy -p 8080:8080 bnjbvr/flatisfy
```

Your Flatisfy instance is now available at `localhost:8080`!
